Subject: [Ltru] Re: RFC 4646 production "grandfathered" considered harmful

From: "Doug Ewell" <[email-masked]>
Date: Tue, 19 Sep 2006 06:44:55 -0700

Mark Davis <mark dot davis at icu dash project dot org> wrote:

> Although Frank has a point, I think my preferred approach would be to 
> simply define but immediately deprecate subtags like lobjan -- that 
> removes them from the grandfathered list. For the ABNF, we are then 
> only left with the items that are syntactically ill-formed, which we 
> could express with:
>
> grandfathered = "i-" irregularI
>            / "sgn-" irregularSgn
>            / irregularOther
>
> irregularI = "ami" / "bnn" / "default" / "enochian" / "hak" / 
> "klingon" / "lux" / "mingo" / "navajo" / "pwn" / "tao" / "tay" / "tsu"
> irregularSgn= "BE-fr" / "BE-nl" / "CH-de"
> irregularOther = "en-GB-oed"
>
> We then have the smallest ABNF that (with the exception of duplicate 
> singletons), describes the well-formed cases without letting anything 
> else in.

I think creating more deprecated-at-birth subtags is a terrible idea. 
As you showed, it doesn't even simplify the ABNF -- you still have the 
messy "irregularOther" production.  It reduces the size of the list in 
the ABNF, but increases the amount of trash in the Registry.

The ABNF can't cover every possible syntactical tagging rule anyway; 
consider en-b-bbb-a-aaa.

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/
RFC 4645  *  UTN #14

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Addison Phillips <[email-masked]>
Date: Tue, 19 Sep 2006 08:07:52 -0700

+1

Doug Ewell wrote:
> I think creating more deprecated-at-birth subtags is a terrible idea. As 
> you showed, it doesn't even simplify the ABNF -- you still have the 

-- 
Addison Phillips
Globalization Architect -- Yahoo! Inc.

Internationalization is an architecture.
It is not a feature.